'use strict';

Object.defineProperty(exports, '__esModule', { value: true });

var jsxRuntime = require('react/jsx-runtime');
var usePolarisVizContext = require('../../hooks/usePolarisVizContext.js');

function LinearGradientWithStops({
  gradient,
  id,
  x1 = '0%',
  x2 = '0%',
  y1 = '100%',
  y2 = '0%',
  gradientUnits = 'objectBoundingBox'
}) {
  const {
    components: {
      LinearGradient,
      Stop
    }
  } = usePolarisVizContext.usePolarisVizContext();
  return /*#__PURE__*/jsxRuntime.jsx(LinearGradient, {
    id: id,
    x1: x1,
    x2: x2,
    y1: y1,
    y2: y2,
    gradientUnits: gradientUnits,
    children: gradient.map(({
      color,
      offset,
      stopOpacity = 1
    }) => /*#__PURE__*/jsxRuntime.jsx(Stop, {
      offset: `${offset}%`,
      stopColor: color,
      stopOpacity: stopOpacity
    }, `${id}-${color}-${offset}`))
  });
}

exports.LinearGradientWithStops = LinearGradientWithStops;
