'use strict';

Object.defineProperty(exports, '__esModule', { value: true });

var react = require('react');
var animated = require('@react-spring/animated');
var constants = require('../constants.js');

const host = animated.createHost({
  // eslint-disable-next-line id-length
  g: 'G'
});
const PolarisVizContext = /*#__PURE__*/react.createContext({
  themes: {
    Dark: constants.DARK_THEME,
    Light: constants.LIGHT_THEME
  },
  components: {
    ...constants.DEFAULT_COMPONENTS
  },
  animated: host.animated,
  defaultTheme: constants.DEFAULT_THEME_NAME
});

exports.PolarisVizContext = PolarisVizContext;
