'use strict';

Object.defineProperty(exports, '__esModule', { value: true });

var react = require('react');

function useSpringConfig({
  animationDelay = 0,
  shouldAnimate = true,
  mountedSpringConfig,
  unmountedSpringConfig
}) {
  const isMounted = react.useRef(false);
  const delay = shouldAnimate ? animationDelay : 0;
  return {
    config: isMounted.current ? mountedSpringConfig : unmountedSpringConfig,
    default: {
      immediate: !shouldAnimate
    },
    delay: isMounted.current ? 0 : delay,
    onRest: () => isMounted.current = true
  };
}

exports.useSpringConfig = useSpringConfig;
