'use strict';

Object.defineProperty(exports, '__esModule', { value: true });

var d3Scale = require('d3-scale');
var constants = require('../../constants.js');
var _variables = require('../../styles/shared/_variables.scss.js');

const DARK_TEXT_MIN = 8;
const HUE_COUNT = 17;
function ColorScale({
  hue,
  min = 0,
  max = HUE_COUNT
}) {
  const scale = d3Scale.scaleQuantize().range(constants.HUES[hue]).domain([min, max]);
  return value => {
    const color = scale(value);
    const colorIndex = constants.HUES[hue].indexOf(color);
    return {
      backgroundColor: scale(value),
      textColor: colorIndex < DARK_TEXT_MIN ? _variables["default"].colorGray150 : _variables["default"].colorWhite
    };
  };
}

exports.ColorScale = ColorScale;
