'use strict';

Object.defineProperty(exports, '__esModule', { value: true });

var d3Scale = require('d3-scale');
var _variables = require('../../styles/shared/_variables.scss.js');
var constants = require('./constants.js');

const HUE_COUNT = 10;
function OpacityScale({
  hue,
  min = 0,
  max = HUE_COUNT
}) {
  const scale = d3Scale.scaleQuantize().range(constants.HUE_OPACITIES[hue]).domain([min, max]);
  return value => {
    return {
      backgroundColor: scale(value),
      textColor: _variables["default"].colorGray160
    };
  };
}

exports.OpacityScale = OpacityScale;
