'use strict';

Object.defineProperty(exports, '__esModule', { value: true });

var changeColorOpacity = require('../changeColorOpacity.js');
var types = require('../../types.js');
var _variables = require('../../styles/shared/_variables.scss.js');

function buildOpacityScale(color) {
  return [...new Array(10)].fill(null).map((_, i) => {
    const index = i + 1;
    return changeColorOpacity.changeColorOpacity(color, index / 10);
  });
}
const HUE_OPACITIES = {
  [types.Hue.Teal]: buildOpacityScale(_variables["default"].colorTeal70),
  [types.Hue.Blue]: buildOpacityScale(_variables["default"].colorBlue70),
  [types.Hue.Indigo]: buildOpacityScale(_variables["default"].colorIndigo70),
  [types.Hue.Purple]: buildOpacityScale(_variables["default"].colorPurple70),
  [types.Hue.Magenta]: buildOpacityScale(_variables["default"].colorMagenta70),
  [types.Hue.Orange]: buildOpacityScale(_variables["default"].colorOrange70),
  [types.Hue.Yellow]: buildOpacityScale(_variables["default"].colorYellow70)
};

exports.HUE_OPACITIES = HUE_OPACITIES;
