'use strict';

Object.defineProperty(exports, '__esModule', { value: true });

var d3Color = require('d3-color');

function changeColorOpacity(colorString, opacity = 1) {
  const rgbColor = d3Color.color(colorString);
  if (rgbColor == null) {
    throw new Error('Color value is not valid.');
  }
  rgbColor.opacity = opacity;
  return rgbColor.toString();
}
function changeGradientOpacity(gradient, opacity = 1) {
  return gradient.map(({
    offset,
    color
  }) => ({
    offset,
    color: changeColorOpacity(color, opacity)
  }));
}

exports.changeColorOpacity = changeColorOpacity;
exports.changeGradientOpacity = changeGradientOpacity;
