'use strict';

Object.defineProperty(exports, '__esModule', { value: true });

var constants = require('../constants.js');
var isDataGroup = require('./isDataGroup.js');
var isDataSeries = require('./isDataSeries.js');

const hasTooManyDataPoints = (seriesArray, threshold) => {
  return seriesArray.some(series => {
    return series.data.length > threshold;
  });
};
function isLargeDataSet(data, chartType) {
  let isLargeDataSet = false;
  if (chartType == null) {
    return false;
  }
  const thresholdForChart = constants.TOO_MANY_DATA_POINTS_THRESHOLD[chartType];
  if (thresholdForChart == null) {
    return false;
  }
  if (isDataSeries.isDataSeriesArray(data)) {
    isLargeDataSet = hasTooManyDataPoints(data, thresholdForChart);
  }
  if (isDataGroup.isDataGroupArray(data)) {
    isLargeDataSet = data.some(dataGroup => {
      return hasTooManyDataPoints(dataGroup.series, thresholdForChart);
    });
  }
  const hasManySeries = data.length > constants.TOO_MANY_DATA_SERIES_THRESHOLD;
  return isLargeDataSet || hasManySeries;
}

exports.isLargeDataSet = isLargeDataSet;
