import { createContext } from 'react';
import { createHost } from '@react-spring/animated';
import { DARK_THEME, LIGHT_THEME, DEFAULT_COMPONENTS, DEFAULT_THEME_NAME } from '../constants.js';

const host = createHost({
  // eslint-disable-next-line id-length
  g: 'G'
});
const PolarisVizContext = /*#__PURE__*/createContext({
  themes: {
    Dark: DARK_THEME,
    Light: LIGHT_THEME
  },
  components: {
    ...DEFAULT_COMPONENTS
  },
  animated: host.animated,
  defaultTheme: DEFAULT_THEME_NAME
});

export { PolarisVizContext };
