import { scaleQuantize } from 'd3-scale';
import { HUES } from '../../constants.js';
import variables from '../../styles/shared/_variables.scss.js';

const DARK_TEXT_MIN = 8;
const HUE_COUNT = 17;
function ColorScale({
  hue,
  min = 0,
  max = HUE_COUNT
}) {
  const scale = scaleQuantize().range(HUES[hue]).domain([min, max]);
  return value => {
    const color = scale(value);
    const colorIndex = HUES[hue].indexOf(color);
    return {
      backgroundColor: scale(value),
      textColor: colorIndex < DARK_TEXT_MIN ? variables.colorGray150 : variables.colorWhite
    };
  };
}

export { ColorScale };
