import { scaleQuantize } from 'd3-scale';
import variables from '../../styles/shared/_variables.scss.js';
import { HUE_OPACITIES } from './constants.js';

const HUE_COUNT = 10;
function OpacityScale({
  hue,
  min = 0,
  max = HUE_COUNT
}) {
  const scale = scaleQuantize().range(HUE_OPACITIES[hue]).domain([min, max]);
  return value => {
    return {
      backgroundColor: scale(value),
      textColor: variables.colorGray160
    };
  };
}

export { OpacityScale };
