import type { SpringConfig } from '@react-spring/core';
import type { SvgComponents, Theme } from './types';
import { ChartState, Hue } from './types';
export declare const LINE_HEIGHT = 14;
export declare const SMALL_CHART_HEIGHT = 125;
export declare const FONT_SIZE = 11;
export declare const TOUCH_FONT_SIZE = 12;
export declare const FONT_FAMILY = "Inter, -apple-system, \"system-ui\", \"San Francisco\", \"Segoe UI\", Roboto, \"Helvetica Neue\", sans-serif";
export declare const XMLNS = "http://www.w3.org/2000/svg";
export declare const BASE_ANIMATION_DURATION = 200;
export declare const LOAD_ANIMATION_DURATION = 500;
export declare const SHAPE_ANIMATION_HEIGHT_BUFFER = 30;
export declare const DEFAULT_BORDER_RADIUS = 3;
export declare const BORDER_RADIUS: {
    None: string;
    Top: string;
    Right: string;
    Bottom: string;
    Left: string;
    All: string;
};
export declare const DEFAULT_BAR_GAP: null;
export declare const HORIZONTAL_BAR_LABEL_HEIGHT = 12;
export declare const HORIZONTAL_BAR_LABEL_OFFSET = 10;
export declare const HORIZONTAL_GROUP_LABEL_HEIGHT = 20;
export declare const HORIZONTAL_SPACE_BETWEEN_SETS = 16;
export declare const HORIZONTAL_SPACE_BETWEEN_SINGLE = 2;
export declare const HORIZONTAL_SPACE_BETWEEN_CHART_AND_AXIS = 5;
export declare const BAR_SPACING = 0.5;
export declare const LINE_ANIMATION_FAST_DURATION = 100;
export declare const LINE_ANIMATION_SLOW_DURATION = 325;
export declare const LINE_ANIMATION_FAST_COUNT = 10;
export declare const LINE_ANIMATION_DURATION_STEP = 25;
export declare const DEFAULT_MAX_Y = 10;
export declare const MIN_BAR_HEIGHT = 2;
export declare const EMPTY_STATE_CHART_MIN = 0;
export declare const EMPTY_STATE_CHART_MAX = 10;
export declare enum ChartMargin {
    Top = 5,
    Left = 0,
    Bottom = 24,
    Right = 0
}
export declare const BARS_TRANSITION_CONFIG: SpringConfig;
export declare const BARS_SORT_TRANSITION_CONFIG: SpringConfig;
export declare const BARS_LOAD_ANIMATION_CONFIG: SpringConfig;
export declare const AREAS_LOAD_ANIMATION_CONFIG: SpringConfig;
export declare const AREAS_TRANSITION_CONFIG: SpringConfig;
export declare const LINES_LOAD_ANIMATION_CONFIG: SpringConfig;
export declare const LINES_TRANSITION_CONFIG: SpringConfig;
export declare const ARC_LOAD_ANIMATION_CONFIG: SpringConfig;
export declare const ARC_DATA_CHANGE_ANIMATION_CONFIG: SpringConfig;
export declare const MASK_HIGHLIGHT_COLOR = "#ffffff";
export declare const COLOR_VARIABLES: {
    [key: string]: string;
};
export declare const DEFAULT_THEME_NAME = "Light";
export declare const THIN_ARC_CORNER_THICKNESS = 12;
export declare const DARK_THEME: Theme;
export declare const LIGHT_THEME: Theme;
export declare const PRINT_THEME: {
    seriesColors: {
        empty: string;
        comparison: string;
        single: string;
        all: string[];
    };
    annotations: import("./types").AnnotationsTheme;
    chartContainer: import("./types").ChartContainerTheme;
    arc: import("./types").ArcTheme;
    bar: import("./types").BarTheme;
    grid: import("./types").GridTheme;
    xAxis: import("./types").XAxisTheme;
    yAxis: import("./types").YAxisTheme;
    groupLabel: import("./types").GroupLabelTheme;
    line: import("./types").LineTheme;
    crossHair: import("./types").CrossHairTheme;
    legend: import("./types").LegendTheme;
    tooltip: import("./types").TooltipTheme;
    trendIndicator: import("./types").TrendIndicatorTheme;
    missingData: import("./types").MissingDataTheme;
};
export declare const STACKED_BAR_GAP = 2;
export declare const COLOR_VISION_ACTIVE_OPACITY = 1;
export declare const COLOR_VISION_FADED_OPACITY = 0.3;
export declare const COLOR_VISION_SINGLE_ITEM = "singleItem";
export declare const COLOR_VISION_GROUP_ITEM = "group";
export declare const EXTERNAL_EVENTS_SET_HIDDEN_ITEMS = "setHiddenItems";
export declare const LEGENDS_TOP_MARGIN = 16;
export declare const LEGENDS_BOTTOM_MARGIN = 16;
export declare const Y_AXIS_CHART_SPACING = 20;
export declare const LABEL_AREA_TOP_SPACING = 16;
export declare const LABEL_AREA_MIN_SPACING = 5;
export declare const ELLIPSIS = "\u2026";
export declare const HORIZONTAL_LABEL_MIN_WIDTH = 46;
export declare const HORIZONTAL_LABEL_TARGET_HEIGHT = 80;
export declare const DIAGONAL_LABEL_MIN_WIDTH = 30;
export declare const MAX_DIAGONAL_LABEL_WIDTH = 100;
export declare const MAX_DIAGONAL_VISIBLE_HEIGHT = 80;
export declare const VERTICAL_LABEL_TARGET_WIDTH = 80;
export declare const VERTICAL_LABEL_MIN_WIDTH = 14;
export declare const DEFAULT_COMPONENTS: SvgComponents;
export declare const STROKE_WIDTH = 1.5;
export declare const STROKE_DOT_ARRAY_WIDTH = "0.1 4";
export declare const ANIMATION_MARGIN = 17;
export declare const LINEAR_LABELS_INNER_PADDING = 10;
export declare const COLOR_VISION_EVENT: {
    name: string;
    dataAttribute: string;
    camelCaseName: string;
};
export declare const DEFAULT_CHART_PROPS: {
    isAnimated: boolean;
    state: ChartState;
    errorText: string;
};
export declare const TOO_MANY_DATA_POINTS_THRESHOLD: {
    Bar: number;
    Line: number;
    Combo: number;
};
export declare const TOO_MANY_DATA_SERIES_THRESHOLD = 14;
export declare const LINE_SERIES_POINT_RADIUS = 2;
export declare const HUES: {
    [key in Hue]: string[];
};
//# sourceMappingURL=constants.d.ts.map