import type { LabelFormatter } from '../types';
export interface Props {
    drawableHeight: number;
    formatYAxisLabel: LabelFormatter;
    max: number;
    min: number;
    integersOnly?: boolean;
    shouldRoundUp?: boolean;
    verticalOverflow?: boolean;
    fixedWidth?: number | false;
    maxYOverride?: number | null;
    ticksOverride?: number[] | null;
}
export declare function useYScale({ drawableHeight, formatYAxisLabel, integersOnly, max, min, shouldRoundUp, verticalOverflow, fixedWidth, maxYOverride, ticksOverride, }: Props): {
    yScale: import("d3-scale").ScaleLinear<number, number, never>;
    ticks: {
        value: number;
        formattedValue: string;
        yOffset: number;
    }[];
    yAxisLabelWidth: number;
};
export declare function getLabelWidth(yAxisLabelWidth: number, fixedWidth?: number | false): number;
//# sourceMappingURL=useYScale.d.ts.map